<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- 3. Responsive Meta Tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<title>Review on Bootstrap Grid System</title>

		<!-- 1. Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>
	<body>

		<!-- first example -->

		<!-- .container or .container-fluid -->
		<div class="container my-3">
			<!-- row can contain 1 or more columns which will divide total of 12 columns per row -->
			<div class="row">
				<div class="
					col-12
					col-sm-12
					col-md-6
					m-auto
				">
					<form class="border p-4">
						<div>
							<label for="email">Email:</label>
							<input type="email" id="email">
						</div>
						<div>
							<label for="password">Password:</label>
							<input type="password" id="password">
						</div>
					</form>
				</div>
			</div>
		</div>


		<!-- second example -->
		<!-- C - R - C rule in GRID System-->
		<div class="container">
			<div class="row">
				<div class="
					border
					p-3
					col-12
					col-sm-6
					col-md-5
				">
					<form class="border p-4">
						<div>
							<label for="email">Email:</label>
							<input type="email" id="email">
						</div>
						<div>
							<label for="password">Password:</label>
							<input type="password" id="password">
						</div>
					</form>
				</div>
				<div class="
					border
					p-3
					col-12
					col-sm-6
					col-md-7
				">
					<p>Lorem ipsum dolor sit amet consectetur adipisicing, elit. Eaque facilis architecto suscipit ea corrupti praesentium veniam ut, ducimus iusto tempora neque dolorem eius. Aut qui alias odit impedit aperiam iure.</p>
				</div>
			</div>
		</div>


		<!-- third example -->
		<div class="container">
			<div class="row">
				<!-- first col -->
				<div class="p-3 col-12 col-md-6 order-md-1">
					<img src="tom.jpg" class="img-fluid">
				</div>
				<!-- second col -->
				<div class="p-3 col-12 order-md-3">
					<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Similique impedit corrupti, tenetur sunt esse aut labore assumenda eos quisquam saepe maxime quas accusantium maiores ea voluptatibus velit quia exercitationem ullam.</p>
				</div>
				<!-- third col -->
				<div class="card bg-secondary p-3 col-12 col-md-6 order-md-2">
					<img src="tom.jpg" class="card-img-top">
					<div class="card-body">
						<h5>Tom Holland</h5>
						<p>Lorem ipsum, dolor sit amet, consectetur adipisicing elit. Molestiae dolor</p>
					</div>
				</div>
			</div>
		</div>


		<!-- fourth example -->
		<div class="container">
			<div class="row">
				<!-- first column -->
				<div class="border bg-success p-3 col">
					<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Delectus perspiciatis, in consequuntur repellat, assumenda tempora repudiandae nobis ea dolore asperiores quis maiores aut esse ex! Eos minus reiciendis aspernatur, deleniti?</p>

					<div class="row">
						<div class="border bg-danger p-3 col">
							<p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Praesentium ipsam adipisci necessitatibus, eos velit animi reiciendis vel odit, quaerat ea porro sit earum repudiandae? Ex natus aperiam quod mollitia, accusamus.</p>
						</div>
						<div class="border bg-primary p-3 col">
							<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Explicabo, nam, non deserunt vel iste illum voluptatibus? Debitis dolores saepe, ipsum totam consequuntur. Natus praesentium doloribus alias iure possimus, nemo recusandae!</p>
						</div>
					</div>
				</div>
				<!-- second column -->
				<div class="border bg-warning p-3 col">
					<p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Laborum quaerat optio culpa atque deleniti nulla ad, velit sequi. Obcaecati animi beatae itaque odio quo quod ducimus eaque, accusantium sunt illo.</p>

						<div class="row">
						<div class="border bg-secondary p-3 col">
							<p>Lorem ipsum, dolor sit amet consectetur, adipisicing elit. Quos reprehenderit corporis nostrum sit provident excepturi laudantium suscipit a minima ullam possimus itaque sunt amet tenetur totam, assumenda enim optio beatae.</p>
						</div>
						<div class="border bg-success p-3 col">
							<p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Iusto velit, voluptatibus dolor libero enim similique expedita voluptate assumenda? Quam praesentium exercitationem laudantium saepe laboriosam tenetur fugiat voluptates earum incidunt, quidem.</p>
						</div>
						<div class="border bg-info p-3 col">
							<p>Lorem ipsum dolor sit amet consectetur, adipisicing, elit. Saepe et natus provident dolores, maxime magnam! Ipsam vitae repudiandae velit doloremque repellat perspiciatis placeat soluta, ad et, accusantium laborum facilis harum.</p>
						</div>
				</div>


					
				</div>
			</div>
		</div>


		<div style="margin-top: 100px;"></div>

	<!-- 2. Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	</body>
</html>
